%global soname libz-ng.so.2

Name:		zlib-ng
Version:	2.1.6
Release:    2%{?dist}
Summary:	Zlib replacement with optimizations
License:	zlib
Url:		https://github.com/zlib-ng/zlib-ng
Source0:	https://github.com/zlib-ng/zlib-ng/archive/%{version}/%{name}-%{version}.tar.gz

ExclusiveArch:	aarch64 i686 ppc64le s390x x86_64 loongarch64
BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	cmake(GTest)

%description
zlib-ng is a zlib replacement that provides optimizations for "next generation"
systems.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains static libraries and header files for
developing application that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake -DWITH_SANITIZERS=ON -DINSTALL_LIB_DIR=%{_libdir}
%cmake_build

%check
%ctest

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libz-ng.so.%{version}
%{_libdir}/%{soname}

%files devel
%{_includedir}/zconf-ng.h
%{_includedir}/zlib-ng.h
%{_includedir}/zlib_name_mangling-ng.h
%{_libdir}/libz-ng.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/zlib-ng/*

%changelog
* Thu Nov 21 2024 Huang Yang <huangyang@loongson.cn> - 2.1.6-2
- [Type] other
- [DESC] add loongarch in ExclusiveArch

* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.6-1
- initial build
